<script lang="ts">
	let theme = localStorage.getItem('theme') ?? 'light';

	function toggleTheme() {
		theme = theme === 'light' ? 'dark' : 'light';
	}

	$: {
		localStorage.setItem('theme', theme);
		document.body.setAttribute('data-theme', theme);
	}
</script>

<md-icon-button toggle selected={theme === 'dark'} on:click={toggleTheme}>
	<md-icon>light_mode</md-icon>
	<md-icon slot="selected" style:font-variation-settings="'FILL' 1">dark_mode</md-icon>
</md-icon-button>
